
// Simple func to attach to element
/*
 * LiveUI('#main','ws://host/ws');
 */

// http://stackoverflow.com/questions/105034/create-guid-uuid-in-javascript

window.onload = function () {
  var wsrpc = new WsRpc()
  wsrpc.connect('ws://' + window.location.host + '/wsrpc/ws')

  console.log('Trying to connect')

  var obj = {
    Hello: function (response, param) {
      console.log('Hello world')
      response({ok: 'OK'})
    }
  }

  wsrpc.export(obj)

  var btn = document.querySelector('#btn1')

  btn.addEventListener('click', function () {
    console.log('Button clicked')
    wsrpc.call('btn1.click', {'hello': 'ok'}).then((res) => {
      console.log('answered:', res)
    })
  })
}
